
%define rel 1

Name:          freecycle
Summary:       Freecycle is a beat slicer
Version:       0.6.1.1
Release:       %mkrel 0.alpha.1
Group:         Sound
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.redsteamrecords.com/freecycle/
Source:        %{name}-%{version}alpha.tar.bz2
Patch:         %{name}-src.pro.patch
Patch1:         %{name}-ueberstyle.patch
BuildRequires: libalsa-devel
BuildRequires: fftw3-devel
BuildRequires: libjack-devel
BuildRequires: aubio-devel >= 0.2
BuildRequires: qt3-devel
BuildRequires: ladspa
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libSoundTouch-devel >= 1.3
BuildRequires: libportmidi-devel
BuildRequires: libportaudio-devel
BuildRequires: libinstpatch-devel
BuildRequires: glib2-devel
Requires:      libalsa
Requires:      libfftw3
Requires:      libjack0
Requires:      aubio >= 0.2
Requires:      libqt3
Requires:      ladspa
#Requires:      libsndfile
#Requires:      libstdc++
Requires:      SoundTouch >= 1.3
Requires:      libportmidi-devel
#Requires:      libinstpatch
Requires:      glib2

%description
Freecycle is a beat slicer running on GNU/Linux platform, providing amplitude
domain and frequency domain beat matching / zero crossing algorithms. It
exports sliced audio chunks and generates a MIDI file which can be used to play
the sliced loop. Freecycle also exports AKAI S5000/S6000/Z4/Z8 .AKP file to be
used with your favorite sampler.

Freecycle provides LADSPA interface with full control parameters automation and
some quite basic but powerful routing schemas.

With traditional amplitude (scope) view, Freecycle also offers the fully
integrated spectrogram view, useful for LADSPA filters visualization.

Freecycle features basic OSS output and preliminary JACK layer connectivity.

Author: Predrag Viceic <viceic@net2000.ch>

%prep
%setup -q -n %{name}
%patch -p1
%patch1 -p1

%build
export QTDIR=%{_libdir}/qt3
export PATH=$QTDIR/bin:$PATH
qmake %{name}.pro

make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf %{buildroot}

make install \
	DESTDIR=%{buildroot} \
	prefix=%{buildroot}%{_prefix}

mkdir -p %{buildroot}%{_bindir}
install -s -m 755 bin/%{name} %{buildroot}%{_bindir}

#mkdir -p %{buildroot}%{_datadir}/pixmaps
#cp icons/%{name}.png %{buildroot}%{_datadir}/pixmaps

# Mandrake Menu entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=%{version}
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;Audio
EOF


%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING LICENSES README
%{_bindir}/%{name}
#%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*

%changelog
* Fri Jan 04 2008 Torbjorn Turpeinen (Thac)  <tobbe@djura.org> 0.6.1.1-0.alpha.1
- 0.6.1.1alpha

* Tue Oct 25 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.51-0.alpha.1
- 0.51

* Fri Sep 30 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-0.alpha.2.pclo2005.thac
- Fix spec

* Wed Sep 28 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-0.alpha.1.pclo2005.thac
- Rebuilt for pclo

* Thu Sep 08 2005 - oc2pus@arcor.de 0.5alpha-0.oc2pus.2
- compile against aubio-0.2 need patch
* Tue Aug 23 2005 - oc2pus@arcor.de 0.5alpha-0.oc2pus.1
- update to 0.5alpha
* Mon Jun 13 2005 - oc2pus@arcor.de 0.41alpha-0.oc2pus.1
- update to 0.41alpha
* Tue May 10 2005 - oc2pus@arcor.de 0.4alpha-0.oc2pus.1
- update to 0.4alpha
* Sat Apr 30 2005 - oc2pus@arcor.de 0.31alpha-0.oc2pus.1
- update to 0.31alpha
* Thu Apr 21 2005 - oc2pus@arcor.de 0.21alpha-0.oc2pus.1
- new version, should fix the soundtouch problem with FLOAT_SAMPLES
- removed patches
- update to 0.21alpha
* Thu Apr 14 2005 - oc2pus@arcor.de 0.2alpha-0.oc2pus.1
- initial version of package
